=== debian/changelog ===
ros-indigo-gazebo-test-tools (1.0.2-0trusty) trusty; urgency=high

  * Merge branch jacknlliu-fix-c11-error
  * fix build error with c++ 11
  * Contributors: Jack Liu, Jennifer Buehler

 -- Jennifer Buehler <jennifer.e.buehler@gmail.com>  Fri, 05 Jan 2018 23:00:00 -0000

ros-indigo-gazebo-test-tools (1.0.1-0trusty) trusty; urgency=high

  * Fixed cmake files for jenkins builds
  * Contributors: Jennifer Buehler

 -- Jennifer Buehler <jennifer.e.buehler@gmail.com>  Tue, 07 Jun 2016 22:00:00 -0000

ros-indigo-gazebo-test-tools (1.0.0-0trusty) trusty; urgency=high

  * Initial release
  * Contributors: Jennifer Buehler

 -- Jennifer Buehler <jennifer.e.buehler@gmail.com>  Mon, 06 Jun 2016 22:00:00 -0000
