=== debian/control ===
Source: ros-indigo-gazebo-test-tools
Section: misc
Priority: extra
Maintainer: Jennifer Buehler <jennifer.e.buehler@gmail.com>
Build-Depends: debhelper (>= 9.0.0), gazebo2, ros-indigo-catkin, ros-indigo-gazebo-ros, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-object-msgs, ros-indigo-roscpp, ros-indigo-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-gazebo-test-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gazebo2, ros-indigo-gazebo-ros, ros-indigo-geometry-msgs, ros-indigo-message-runtime, ros-indigo-object-msgs, ros-indigo-roscpp, ros-indigo-std-msgs
Description: Tools to help testing and tutorials with Gazebo.
 For example, a helper which spawns a cube in cazebo.
